org.apache.ignite.internal.sql.optimizer.affinity

## Interface PartitionResolver

    public interface PartitionResolver

Partition resolver interface. Takes argument, data type and cache name, returns partition. The only purpose of this methods is to allow partition pruning classes to be located in core module.

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `partition(Object arg, int dataType, String cacheName)` Resolve partition.

### Method Detail

#### partition

    int partition(Object arg,
                  int dataType,
                  String cacheName)
           throws IgniteCheckedException

Resolve partition.

Parameters:
  `arg` - Argument.
  `dataType` - Data type.
  `cacheName` - Cache name.
Returns:
  Partition.
Throws:
  `IgniteCheckedException` - If failed.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.10.0
Release Date | : March 10 2021